logtalk_tester(1)

NAME
logtalk_tester - Logtalk script for automating running unit tests

SYNOPSIS
logtalk_tester -v
logtalk_tester [-p prolog ] [-m mode ] [-f format ] [-d results ] [-t timeout ] [-s prefix ] [-- arguments ]
logtalk_tester -h

DESCRIPTION
logtalk_tester is a script for automating running Logtalk unit tests. This script runs unit tests found on the current directory and recursively in its sub-directories by scanning for tester.lgt and tester.logtalk source files. In case of failed unit tests, timed out test sets, or crashed test sets, this script returns an exit code of 1.

OPTIONS

-v  Print script version.

-p  Back-end Prolog compiler. Default is YAP. The following identifiers are used: B-Prolog - b, CxProlog - cx, ECLiPSe - eclipse, GNU Prolog - gnu, JIProlog - ji, Lean Prolog - lean, Qu-Prolog - qp, SICStus Prolog - sicstus, SWI-Prolog - swi, SWI-Prolog with Logtalk pack - swipack, XSB - xsb, XSB-MT - xsbmt, YAP - yap.

-m  Compilation mode. Default is normal. Possible values are normal, debug, and all.

-f  Format for writing the test results. Default is default. Possible values are default, tap, and xunit.

-d  Directory to store the test results. Default is the local ./logtalk_tester_logs directory.

-t  Timeout in seconds for running each test set. Default is 0; i.e. disabled.

-s  Path prefix to supress when printing test suite and test result paths. Default is the empty string.

--  Arguments to be passed to the integration script used to run the tests (no default).

-h  Provide help on script usage.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKUSER/library/tester_versions.lgt
    Logtalk source file used for printing the Logtalk and back-end Prolog compiler versions.

SEE ALSO
The Logtalk website at <http://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2016 Paulo Moura.